//---------------------------------------------------------------------------
//
// Evj        Model the evolution of DNA binding site recognition
//
// Module:    SeqLogoPanel, a Swing panel that displays a data sheet
// Author:    Paul C. Anagnostopoulos
// Created:   26 October 2005
//
// This computer program fits the description in the U.S. Copyright Act
// of a "United States Government wor"k. It was written as a part of
// my/our official duties as a Government employee. This means it cannot
// be copyrighted. The program is freely available for use without a
// copyright notice, and there are no restrictions on its use, now or
// subsequently. We retain no rights in the program. Please acknowledge
// the source of this code in any releases you make.
//
//---------------------------------------------------------------------------


import java.awt.*;
import java.awt.event.*;
import java.awt.font.*;
import java.lang.Math;
import java.util.Arrays;
import javax.swing.*;
import javax.swing.event.*;

//                      Data Sheet Panel
//                      ---- ----- -----


public final class DataSheetPanel extends JPanel implements NexusObserver
{
  private JScrollPane scrollPane;
  private Nexus acceptedNexus = null;

  // The constructor saves the parent scroll pane.

  public DataSheetPanel (JScrollPane sp)
  {
    super();
    scrollPane = sp;
  }

  // This public method implements the NexusObserver interface. It
  // simply saves the supplied nexus and repaints the display.

  public void acceptNexus (Nexus nexus)
  {
    acceptedNexus = nexus;
    repaint();
  }

//                      Paint Component
//                      ----- ---------


  private Graphics2D g2;

  public void paintComponent (Graphics g)
  {
    super.paintComponent(g);

    // Pick up the nexus so we are impervious to nexuses coming in
    // while drawing. If it is null, forget it.

    Nexus nexus = acceptedNexus;
    if (nexus == null) return;
    g2 = (Graphics2D)g;

    g2.drawString("The data sheet display is not yet implemented.",
                  100, 100);
  }
}